Pogo.com games [and other java applets] worked before update of Firefox

Bug #728798 reported by David Wright on 2011-03-04
42
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Mozilla Firefox
Fix Released
High
firefox (Ubuntu)
High
Unassigned
Hardy
High
Unassigned
Karmic
High
Unassigned
Lucid
High
Micah Gersten
Maverick
High
Micah Gersten
firefox-3.0 (Ubuntu)
Undecided
Unassigned
Hardy
High
Micah Gersten
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
firefox-3.5 (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
Karmic
High
Micah Gersten
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

WORKAROUND:
Updated packages are available in the ubuntu-mozilla-security PPA (https://launchpad.net/~ubuntu-mozilla-security/+archive/ppa). Please test these packages and indicate whether or not the issue is resolved.

-----------------------

Binary package hint: firefox

I have been using pogo.com game site for several years without difficulty. Today I got an upgrade notice for Firefox and installed it. Now the pogo.com java does not work. When I do a java test it says everything is cool but the games never load.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: firefox 3.6.14+build3+nobinonly-0ubuntu0.10.10.1
ProcVersionSignature: Ubuntu 2.6.35-27.48-generic 2.6.35.11
Uname: Linux 2.6.35-27-generic i686
Architecture: i386
Date: Thu Mar 3 16:25:15 2011
FirefoxPackages:
 firefox 3.6.14+build3+nobinonly-0ubuntu0.10.10.1
 firefox-gnome-support 3.6.14+build3+nobinonly-0ubuntu0.10.10.1
 firefox-branding 3.6.14+build3+nobinonly-0ubuntu0.10.10.1
 abroswer N/A
 abrowser-branding N/A
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: firefox

Build #1 of Firefox 3.6.14 breaks the Java Runtime Environment, at least on Win7 32bit with JRE v6u23 installed.

My wife reported that the Java games at pogo.com would stop working after a short time of playing. This did not happen with 3.6.13 (also with JRE 6u23).

Here's a simpler test.

1. Go to http://www.java.com/en/download/testjava.jsp
2. Note that the Java information shown by the applet is correct and that the animated coffee cup is seen.
3. Reload the page several times, either by selecting from a bookmark or hitting the Reload button.
4. The applet will stop working. Close the tab with the applet and run the applet again in another tab. Still doesn't work.

Only by restarting Firefox will Java applets again work.

When I start v3.6.14, then immediately open the Error Console, I see this already logged:

Error: Components.classes['@mozilla.org/oji/jvm-mgr;1'] is undefined
Source File: chrome://javaconsole1.6.0_23/content/ffjcext.js
Line: 33

I run the applet above once and the Java Console is opened. No errors seen in the console, and the applet appears to run correctly.

On the 2nd run of the applet, this appears in the Java Console:

Your Java configuration is as follows:<br/> <br/>Vendor: <b><a href="http://java.com">Sun Microsystems Inc.</a></b><br/>Version: <b>Java SE 6 Update 23</b><br/>Operating System: <b>Windows XP 5.1</b><br/>Architecture: <b>x86</b>
Obj:1.6.0_23
Exit worker loop
java.net.MalformedURLException: no protocol: TestVM2-test.jar
 at java.net.URL.<init>(Unknown Source)
 at java.net.URL.<init>(Unknown Source)
 at sun.plugin.util.GrayBoxPainter.setProgressFilter(Unknown Source)
 at sun.plugin2.applet.Plugin2Manager.setupGrayBoxPainter(Unknown Source)
 at sun.plugin2.applet.Plugin2Manager.access$600(Unknown Source)
 at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
 at java.lang.Thread.run(Unknown Source)
exception: name.
java.lang.IllegalArgumentException: name
 at sun.plugin2.applet.Applet2ClassLoader.addJar(Unknown Source)
 at sun.plugin2.applet.Applet2Manager.loadJarFiles(Unknown Source)
 at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
 at java.lang.Thread.run(Unknown Source)
Exception: java.lang.IllegalArgumentException: name

Now I have a black rectangle in the browser window where the applet should be shown. Each subsequent attempt to run the applet results in another copy of the error text shown in the Java Console.

Neither of these errors is seen with Firefox v3.6.13.

(In reply to comment #0)
> Build #1 of Firefox 3.6.14 breaks the Java Runtime Environment, at least on
> Win7 32bit with JRE v6u23 installed.
>
> My wife reported that the Java games at pogo.com would stop working after a
> short time of playing. This did not happen with 3.6.13 (also with JRE 6u23).
>
> Here's a simpler test.
>
> 1. Go to http://www.java.com/en/download/testjava.jsp
> 2. Note that the Java information shown by the applet is correct and that the
> animated coffee cup is seen.
> 3. Reload the page several times, either by selecting from a bookmark or
> hitting the Reload button.
> 4. The applet will stop working. Close the tab with the applet and run the
> applet again in another tab. Still doesn't work.
>
> Only by restarting Firefox will Java applets again work.

i am having the same issue.

Yet nobody seems interested.

Oh, well. I guess I'll be skipping 3.6.14 in favor of the 3.6.15 chemspill release.

here is a reduced test case for this bug:

http://gs3.flyordie.com/FF3614/index.html

the second time the applet tries to start java plugin displays an exception:
java.lang.IllegalArgumentException: name
 at sun.plugin2.applet.Applet2ClassLoader.addJar(Unknown Source)
 at sun.plugin2.applet.Applet2Manager.loadJarFiles(Unknown Source)
 at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
 at java.lang.Thread.run(Unknown Source)

Ok, this might be a bug in the Java Plugin, however, the problem started with 3.6.14

Shouldn't this be a blocker for 3.6.14 and/or have keyword "regression" to get enough attention by the devs? Perhaps someone with enough bugzilla powers can change this.

With Namoroka (today's nightly), I get:

Java Plug-in 1.6.0_24
Using JRE version 1.6.0_24-b07 Java HotSpot(TM) Client VM
----------------------------------------------------
exception: Permission denied: null.
java.lang.SecurityException: Permission denied: null
 at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
 at java.lang.Thread.run(Unknown Source)
Exception: java.lang.SecurityException: Permission denied: null
java.net.MalformedURLException: no protocol: A.zip
 at java.net.URL.<init>(Unknown Source)
 at java.net.URL.<init>(Unknown Source)
 at sun.plugin.util.GrayBoxPainter.setProgressFilter(Unknown Source)
 at sun.plugin2.applet.Plugin2Manager.setupGrayBoxPainter(Unknown Source)
 at sun.plugin2.applet.Plugin2Manager.showAppletException(Unknown Source)
 at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
 at java.lang.Thread.run(Unknown Source)

Could this give any hints to the underlying problem?
I can also reproduce comment #1 with the same error.

Note that I'm using JRE 1.6.0_24.

Also, this is probably filed to the wrong Product/Component combo.
#619349, for example, is under Plugins/Java (Sun).

Well, after Firefox auto-updated all of our customer's computers to 3.6.14, this bug has completely broken their ~$20,000 HVAC graphics control systems. Anybody using the Tridium Niagara R2 framework to control their buildings can no longer use Firefox.

I'm somewhat curious how such a huge bug in such an essential piece of web technology could have been released into the wild after knowing about it for over a month.

exception: Permission denied: null.
java.lang.SecurityException: Permission denied: null
 at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
 at java.lang.Thread.run(Unknown Source)
Exception: java.lang.SecurityException: Permission denied: null
java.net.MalformedURLException: no protocol: /tridium/web/gxpub.jar
 at java.net.URL.<init>(Unknown Source)
 at java.net.URL.<init>(Unknown Source)
 at sun.plugin.util.GrayBoxPainter.setProgressFilter(Unknown Source)
 at sun.plugin2.applet.Plugin2Manager.setupGrayBoxPainter(Unknown Source)
 at sun.plugin2.applet.Plugin2Manager.showAppletException(Unknown Source)
 at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
 at java.lang.Thread.run(Unknown Source)

I am running XP, FF3.6.14, JRE build 1.6.0_23-b05 when pogo games don't work. As mentioned, this does work with IE8. My wife just updated to FF3.6.14 using VISTA and she's experiencing the same problem. Wish there was a way to go back to FF3.6.13.....

*** Bug 638135 has been marked as a duplicate of this bug. ***

This is being reported by many users on SUMO who have updated to 3.6.14.

Likely candidates include bug 620773 and bug 611910

Ok, based on the above comments (comment 1,6,8) the plugin is passing in a malformed URL and we are now throwing an exception...so this is fallout (perhaps desired) from bug 611910

I will need to look into this fairly deeply before I can speculate about it.

I hope the STR from comment #0 are actually reproducible. I'll find out tomorrow.

I tried a build from 2010-12-25 (based on https://bugzilla.mozilla.org/show_bug.cgi?id=620773#c35) and it worked.

 Looks like it is certainly caused by bug 611910 (to make things more confusing, the bugs in https://bugzilla.mozilla.org/show_bug.cgi?id=620773#c35 are reversed...bug 620773 landed in 2011, see https://bugzilla.mozilla.org/show_bug.cgi?id=620773#c23)

Caused by 620773, you mean? The different error in bug 620773 comment 37 does, however, look like it was caused by bug 611910.

We have an increasing number of Firefox users that cannot log on to our online banking due to the FF 3.6.14 / JRE error.

Since this potentially affects 1,000,000+ eBanking users, some help would be greatly appreciated...

Java console:
**************************************

exception: Permission denied: https://ebanking.sampopankki.fi/html/java/GWPKI/SAM/.
java.lang.SecurityException: Permission denied: https://ebanking.sampopankki.fi/html/java/GWPKI/SAM/
 at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
 at java.lang.Thread.run(Unknown Source)
Exception: java.lang.SecurityException: Permission denied: https://ebanking.sampopankki.fi/html/java/GWPKI/SAM/

**************************************

This is also an issue on 4.0.12 Beta

This is a severe issue.

And very easy to reproduce:
1. Go to any applet like http://java.sun.com/applets/jdk/1.4/demo/applets/DitherTest/example1.html
2. Reload the applet in the same tab: breaks with "java.lang.SecurityException: Permission denied: null"

I cannot believe this bug actually found it's way to the public release.
Java applet support essentially got removed in 3.6.14.

You should:
1. stop delivering 3.6.14 immediately to reduce the damage
2. fix the bug and launch 3.6.15 asap
3. review your qa process to avoid future bugs like this one

At least provide a download link to version 3.6.13 that we can post on our logon pages, so that customers can downgrade until the issue is fixed.

@Thomas:
You can still download 3.6.13 on http://download.mozilla.org/?product=firefox-3.6.13
If you recommend the old version to your customers you should consider that this version has some critical security flaws which got fixed in 3.6.14

Unfortunately, logging on takes priority over security flaws at the moment.

Also on Win7, 64 bit using 32bit FF+JRE.

*** Bug 638329 has been marked as a duplicate of this bug. ***

I can't reproduce this bug using the steps-to-reproduce from comment
#0. I tested with FF 3.6.14 on Windows XP (fully patched) with the
latest Java 6 from Oracle (v6u24).

Anyone else able to reproduce this on Windows XP?

(I have a copy of Windows 7, but I haven't yet installed it. So it'll
be at least a few hours before I can test on Windows 7.)

But now I see that 638329 was reported on Windows XP. I'll comment
further there.

I have two machines here with a fully patched Windows XP with Java 6u24 and FF 3.6.14 and the Java applets are not working as described in comment #0 and comment #1

The error messages are variable depending on which applet you are trying.

Do these problems happen when you start Firefox in Safe Mode? (To do
that, choose Mozilla Firefox (Safe Mode) from the Start menu.)

answer to comment 27. i restarted firefox in safemode, i logged into pogo, launched a game, and it errored out the same way.

@Steven

This issue was reported by a customer on 3 XP machines with Java version 1.6_021 and 1.6.0_24.

We can reproduce this on all kind of machines XP, Vista, Win7.

As already reported this seems not limited to specific applets, it seems to affect all applets, even very simple ones. Just try this http://www.w3.org/People/mimasa/test/object/java/clock and reload a few times using the "Reload" button. Watch the Java console!

Again, this is in no way limited to Windows 7. It also happens with XP.

I really hope that you understand the severe impact this bug is having! I totally agree with axianx and Warren that I can't understand how 3.6.14 could be released with this bug, even though this bug was already reported in January!

It is not even limited to Windows. I'm seeing the same behavior on Mac OS X 10.6, Firefox 3.6.14, Java 1.6.0_22.

A bug has also been opened in the Java SE bug tracking system and are also looking into it from the Java SE side.
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=7024306
(this link will not work until later tonight)

-Roger

> It is not even limited to Windows. I'm seeing the same behavior on
> Mac OS X 10.6, Firefox 3.6.14, Java 1.6.0_22.

Interesting. Does your FF 3.6.14 distro contain the bundled copy of
the Java Embedding Plugin that comes with it (in its
Contents/MacOS/plugins directory)? Or have you removed that, and are
using Oracle/Apple's Java Plugin2?

Can you also reproduce with FF 3.6.13? Or 3.6.12?

You might have to open the applet page a 2nd time after leaving. Here applets work fine with a fresh started Firefox.

I am using plugin2. I had removed the bundled plugin prior to 3.6.14 being installed. At this point, I have reverted back to 3.6.13 and everything works fine again.

*** Bug 638499 has been marked as a duplicate of this bug. ***

(In reply to comment #25)
> I can't reproduce this bug using the steps-to-reproduce from comment
> #0. I tested with FF 3.6.14 on Windows XP (fully patched) with the
> latest Java 6 from Oracle (v6u24).
>
> Anyone else able to reproduce this on Windows XP?

Yes, I can replicate it on a fully-patched Windows XP with the latest Sun/Oracle Java plug-in, using the steps from Comment 0. I previously replicated it with Plug-in v6u20. The trigger is clearly Firefox 3.6.14, not a specific JRE or Windows version.

As you can see below, the URL is *not* malformed. It *is* relative, which is valid as far as I know. Relative URLs should be resolved relative to the codebase of the applet; the default codebase if not specified is the document codebase (as you would expect).

From the console:

Java Plug-in 1.6.0_24
Using JRE version 1.6.0_24-b07 Java HotSpot(TM) Client VM
User home directory = C:\Documents and Settings\tjc
----------------------------------------------------
c: clear console window
f: finalize objects on finalization queue
g: garbage collect
h: display this help message
l: dump classloader list
m: print memory usage
o: trigger logging
q: hide console
r: reload policy configuration
s: dump system and deployment properties
t: dump thread list
v: dump thread stack
x: clear classloader cache
0-5: set trace level to <n>
----------------------------------------------------

Your Java configuration is as follows:<br/> <br/>Vendor: <b><a href="http://java.com">Sun Microsystems Inc.</a></b><br/>Version: <b>Java SE 6 Update 24</b><br/>Operating System: <b>Windows XP 5.1</b><br/>Architecture: <b>x86</b>
Obj:1.6.0_24
Exit worker loop
exception: Permission denied: null.
java.lang.SecurityException: Permission denied: null
 at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
 at java.lang.Thread.run(Unknown Source)
Exception: java.lang.SecurityException: Permission denied: null
java.net.MalformedURLException: no protocol: TestVM2-test.jar
 at java.net.URL.<init>(Unknown Source)
 at java.net.URL.<init>(Unknown Source)
 at sun.plugin.util.GrayBoxPainter.setProgressFilter(Unknown Source)
 at sun.plugin2.applet.Plugin2Manager.setupGrayBoxPainter(Unknown Source)
 at sun.plugin2.applet.Plugin2Manager.showAppletException(Unknown Source)
 at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
 at java.lang.Thread.run(Unknown Source)

We don't need any more reports that some people can reproduce this bug -- that's been clearly established.

What I need to find is precise enough steps-to-reproduce that I myself can reproduce this bug. I'm working on that, and am making progress.

38 comments hidden view all 107 comments
David Wright (david-wright) wrote :
Micah Gersten (micahg) wrote :

Thank you for your bug report. This bug has been reported to the developers of the software. Please report any other issues you may find.

Changed in firefox (Ubuntu):
importance: Undecided → High
status: New → Triaged
affects: firefox (Ubuntu) → ubuntu
affects: ubuntu → firefox (Ubuntu)
Changed in firefox (Ubuntu):
status: Triaged → Invalid
Micah Gersten (micahg) on 2011-03-04
tags: added: regression-release
tags: added: regression-update
removed: regression-release
Micah Gersten (micahg) on 2011-03-04
affects: firefox (Ubuntu Karmic) → firefox-3.5 (Ubuntu Karmic)
affects: firefox-3.5 (Ubuntu) → firefox (Ubuntu)
Changed in firefox:
importance: Unknown → High
status: Unknown → Confirmed
Changed in firefox (Ubuntu Hardy):
status: Triaged → Invalid
Changed in firefox (Ubuntu Karmic):
status: Triaged → Invalid
Changed in firefox (Ubuntu Lucid):
status: Triaged → Fix Committed
assignee: nobody → Micah Gersten (micahg)
Changed in firefox (Ubuntu Maverick):
status: Triaged → Fix Committed
assignee: nobody → Micah Gersten (micahg)
Changed in firefox-3.5 (Ubuntu Lucid):
status: New → Invalid
Changed in firefox-3.5 (Ubuntu Maverick):
status: New → Invalid
Changed in firefox-3.5 (Ubuntu Hardy):
status: New → Invalid
Changed in firefox-3.0 (Ubuntu Lucid):
status: New → Invalid
Changed in firefox-3.0 (Ubuntu Maverick):
status: New → Invalid
Changed in firefox-3.0 (Ubuntu Karmic):
status: New → Invalid
Changed in firefox-3.0 (Ubuntu Hardy):
status: New → Fix Committed
importance: Undecided → High
assignee: nobody → Micah Gersten (micahg)
Changed in firefox-3.5 (Ubuntu Karmic):
status: New → Fix Committed
importance: Undecided → High
assignee: nobody → Micah Gersten (micahg)
Changed in firefox-3.0 (Ubuntu):
status: New → Invalid
Changed in firefox-3.5 (Ubuntu):
status: New → Invalid
Micah Gersten (micahg) on 2011-03-04
description: updated
65 comments hidden view all 107 comments

I haven't seen bug 611910 in the release notes of 3.6.14, but its 1.9.2 status has been changed yesterday.
The two bugs I mentioned are the only plugins bugs I saw in the release notes of 3.6.14.

> The two bugs I mentioned are the only plugins bugs I saw in the
> release notes of 3.6.14.

Oh, OK. So we can safely say they aren't relevant here :-)

If you have the time, it's of course best to get a nightly regression
range.

> I haven't seen bug 611910 in the release notes of 3.6.14, but its
> 1.9.2 status has been changed yesterday.

I don't think all bug fixes make it into the release notes. And bug
611910
was initially labeled a security bug -- which might have
prevented its inclusion.

We're fixing this by backing out 611910. This bug is staying open for investigation as the patch also landed on trunk (even though we haven't been able to reproduce there).

The "3.6.15" we're releasing today does not fix this bug, the release containing this bug fix has been renamed to "3.6.16" and the bugzilla flags will be updated to reflect that soon. Today's release is a re-release of 3.6.14 plus a fix for a bug that prevented many Java applets from starting up.

(In reply to comment #64)
> The "3.6.15" we're releasing today does not fix this bug...
> Today's release is a re-release of 3.6.14
> plus a fix for a bug that prevented many Java applets from starting up.

A _different_ bug that prevented Java applets from starting up? Because this one does too (fairly dramatically)...

@Daniel Veditz(In reply to comment #64)
> The "3.6.15" we're releasing today does not fix this bug, the release
> containing this bug fix has been renamed to "3.6.16" and the bugzilla flags
> will be updated to reflect that soon.

With "this, do you mean 629030?

> Today's release is a re-release of 3.6.14
> plus a fix for a bug that prevented many Java applets from starting up.

Which exact bug id are you refering to here?

 The confusion is growing...

That was a mass modify, sorry for the confusion.

This bug is indeed the one fixed in 3.6.15 by backing out bug 611910.

If you see this in 3.6.15 still, I want to know (but I'm pretty confident you won't).

Ignore comment 64, this is the bug we're fixing in 3.6.15 -- forgot to take it out of the list of bugs to spam.

*** Bug 638810 has been marked as a duplicate of this bug. ***

*** Bug 638747 has been marked as a duplicate of this bug. ***

*** Bug 638382 has been marked as a duplicate of this bug. ***

Candidate builds for FF 3.6.15 are available at
ftp://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/3.6.15-candidates/.
Those who see this bug should try them out.

Note that one apparent problem with these builds, reported above,
turns out to be a different issue (one that also happens in IE8). See
comment #38 and comment #49.

Tested our implementation with 3.6.15 and looks that it fix problems

Firefox 3.6.15 is released now and available from mozilla.com.

*** Bug 638877 has been marked as a duplicate of this bug. ***

*** Bug 638114 has been marked as a duplicate of this bug. ***

*** Bug 638070 has been marked as a duplicate of this bug. ***

*** Bug 638919 has been marked as a duplicate of this bug. ***

I've found the *real* cause of this bug -- it's a bug in how plugins
are started and stopped.

So there's nothing wrong with the concept of a scheme whitelist for
Java, or (basically) with how my patches for bug 611910 and bug 620773
implemented it. Or if there *is* something wrong with the concept of
a Java scheme whitelist (or with my implementation of it), this bug
doesn't demonstrate it.

I haven't yet worked out the details of the
plugin-starting-and-stopping bug, or found out when it started
happening (or if it still happens on the trunk). That will be at
least several days' work -- which I'll start next week. I'll open a
new bug on it.

I don't normally announce that I've found a bug before working out the
details. But some of us (including myself) have been anxious about
the possibility that using a Java scheme whitelist will cause trouble
on the trunk (which still has my patch for bug 611910). So I just
wanted to relieve that anxiety.

For the curious: Break on NS_CheckIsJavaCompatibleURLString() and try
to reproduce this bug. You'll find that it only gets called once
(when the applet is first loaded, successfully), and that it never
indicates that any urlString is incompatible.

*** Bug 638808 has been marked as a duplicate of this bug. ***

Micah Gersten (micahg) on 2011-03-06
summary: - Pogo.com games worked before update of Firefox
+ Pogo.com games [and other java applets] worked before update of Firefox

I seem to have a general problem with java-scripts since 3.6.14. I am now running 3.6.15 and it is still a problem. Facebook is not usable anymore. And many more sites I regularly use. I does work if I start Firefox in safe-mode. I have not yet tried to go back to 3.6.13. But I am sure it stopped working in 3.6.14. You think this is related??

(In reply to comment #81)
> I seem to have a general problem with java-scripts since 3.6.14.
> [snip]
> You think this is related??

If the problem is really with *JavaScript*, then no -- Java and JavaScript are unrelated technologies (just with similar names). This bug relates to Java applets, not JavaScript.

Sorry to disturb. It was just that this was the only bug I found remotely like I was feeling Firefox behaving, except it was javascript. Now after a second round of disabling plugins one by one I think I have found the plugin causing this.

philinux (philcb) wrote :

After I Installed the icedtea plugin and set it as default my applets are working again.

Micah Gersten (micahg) wrote :

firefox-3.0 (3.6.15+build1+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v3.6.15 (FIREFOX_3_6_15_BUILD1)
    - see USN-1049-2
 -- Micah Gersten <email address hidden> Thu, 03 Mar 2011 10:39:48 -0600

Changed in firefox-3.0 (Ubuntu Hardy):
status: Fix Committed → Fix Released
Micah Gersten (micahg) wrote :

firefox-3.5 (3.6.15+build1+nobinonly-0ubuntu0.9.10.1) karmic-security; urgency=low

  * New upstream release v3.6.15 (FIREFOX_3_6_15_BUILD1)
    - see USN-1049-2
 -- Micah Gersten <email address hidden> Thu, 03 Mar 2011 10:38:56 -0600

Changed in firefox-3.5 (Ubuntu Karmic):
status: Fix Committed → Fix Released
Micah Gersten (micahg) wrote :

firefox (3.6.15+build1+nobinonly-0ubuntu0.10.10.1) maverick-security; urgency=low

  * New upstream release v3.6.15 (FIREFOX_3_6_15_BUILD1)
    - see USN-1049-2
 -- Chris Coulson <email address hidden> Thu, 03 Mar 2011 10:27:43 -0600

Changed in firefox (Ubuntu Maverick):
status: Fix Committed → Fix Released
Micah Gersten (micahg) wrote :

firefox (3.6.15+build1+nobinonly-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v3.6.15 (FIREFOX_3_6_15_BUILD1)
    - see USN-1049-2
 -- Chris Coulson <email address hidden> Thu, 03 Mar 2011 10:30:49 -0600

Changed in firefox (Ubuntu Lucid):
status: Fix Committed → Fix Released

I've opened bug 639647 ("Restore Java scheme whitelist for NPRuntime plugins on the 1.9.2 branch").

I've got a patch (and a test build) at bug 639647 comment #1 that
fixes the underlying cause of this bug (instead of just backing out my
patches for bug 611910 and bug 620773).

Please test it out, and let us know your results (preferrably at bug
639647
).

Will you let us know when this is fixed. Mozilla keeps asking me to update and I have to say "later". Thank you.

Re Comment #86: You don't have to wait. In terms of the released versions, the bug only existed in 3.6.14. The current version is 3.6.15, which was released specifically to address this problem (by temporarily backing out the other change that caused it). So you can safely update Firefox right now.

While you're at it, please also try out the test build I mentioned in comment #85 (download and install it separately). It should also fix the problem(s).

I need other testers besides myself :-)

Thank you so much for addressing this problem. I have now updated to 3.6.15. Good going guys! About the test thing; I don't think I'm really all that computer literate so I'll save myself some worry by passing this up. Thanks again.

Changed in firefox-3.0 (Ubuntu):
status: Invalid → Fix Released

Why isn't this resolved FIXED?

Changed in firefox:
importance: High → Unknown
status: Confirmed → Unknown

> Why isn't this resolved FIXED?

It seems we forgot to.

Changed in firefox:
importance: Unknown → High
status: Unknown → Fix Released
Changed in firefox (Ubuntu):
status: Invalid → Fix Released
Changed in firefox-3.5 (Ubuntu):
status: Invalid → Fix Released
BIANCA RANDALL (brandall401) wrote :

I need play my games but i can,t it want load at all

Steve: Can you please have a look at bug 675642? I believe the fix to this problem has possibly caused inline pdfs to randomly not load.

I don't have time to do it now. With luck I'll have time next week.

Steve: I apologize but from what my users have experienced, and they are able to do more extensive testing than I can, it appears this fix did not cause a regression with inline PDF's.

I would however greatly appreciate a gander at bug 675642, as its been open for months without any resolve and is becoming a big issue for our organization.

Thanks,
  Tyler

Displaying first 40 and last 40 comments. View all 107 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.